[API]
GetKeyNameTextA
GetKeyNameTextW

[INCLUDE]
TemporaryMemory
PeekS

[CODE]
Public Function GetKeyNameText(ByVal lParam As Long) As String
  If IsUnicode Then
    lParam = GetKeyNameTextW(lParam, ptrTemp, ptrTempSizeXW)
    Else
    lParam = GetKeyNameTextA(lParam, ptrTemp, ptrTempSizeX)
    End If
  If Not lParam = 0& Then GetKeyNameText = PeekS(ptrTemp, lParam)
  End Function
